### Method

# Gtk FileChooser get_filters

deprecated: 4.10

#### Declaration [src]

    GListModel*
    gtk_file_chooser_get_filters (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the current set of user-selectable filters, as a list model.

See `gtk_file_chooser_add_filter()` and `gtk_file_chooser_remove_filter()` for changing individual filters.

You should not modify the returned list model. Future changes to `chooser` may or may not affect the returned model.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

Gets property | `Gtk.FileChooser:filters`

#### Return value

Type: A list model of `GObject`

A `GListModel` containing the current set of user-selectable filters.

The caller of the method takes ownership of the data, and is responsible for freeing it.